// This is a Persistence of Vision Ray Tracer (POV-Ray) Version 2.2 Scene file
//             POV-Ray is (Copyrighted) 1994-95, POV-Ray Team
//
// This file was generated using "Mid Night Modeller" Version 2.10
//             MNM is (Copyright) 1994-95, David R.Taylor
//
//
//******************************** HEADER *************************************


// Fabien HENON * 1997
// a simple render test. The boat hull were created with "Mid Night Modeller" Version 2.10"
// to render with povray 3.0 -> povray 3.7




#include "colors.inc"
#include "woods.inc"

background { color rgb <0.4,0.4,0.5> }


//light_source {  <58, 26, -74.5807>
//        color rgb<1, 1, 1>
//    }


     light_source { <-390, 220, -300.5807> // <-310, 160, -300.5807>
        color rgb 0.95*2
//atmosphere off
    }


camera {
    location <-65, -30, -75> // <-60, -30, -75>
   direction <0, 0, 1.20711>
         sky <0, 1, 0>
          up <0, 1, 0>
       right <1.33333, 0, 0>
     look_at <5,5.19564, -0.8617575>
}


//****************** TEXTURES ********************

#declare hull=
texture {
         pigment {
                bumps
                color_map {
                          [ 0 color rgb <0.8,0.7,0.65> ]
                          [ 1 color rgb <0.8,0.7,0.65>*0.3 ] }
                          scale <15,0.5,0.3> }
        finish { specular 0.23 roughness 0.01 brilliance 3 diffuse 0.8 }
        normal { bumps 0.2 scale 0.3 turbulence 0.7 scale <15,0.5,0.3>}
        }







#include "ailes.inc"

#include "voile.inc"

#include "hull.inc"

//#include "spot.inc"

#declare vaisseau=union {
object { ailes }
object { voile }
object { coque }
object { support_d_aile }
object { anneaux }
//object { spot }

union {  // Layer name: mat
    cone { <0.0, 0.0, 0.0>, 0.5, <0.0, 23, 0.0>, 0.5
        rotate <-90, .0, .0>
        rotate <.0, 330, .0>
        translate <-11.5, 0, 19.9186>
    }
    cone { <0.0, 0.0, 0.0>, 0.5, <0.0, 23, 0.0>, 0.5
        rotate <-90, .0, .0>
        rotate <.0, 30, .0>
    }
    cone { <0.0, 0.0, 0.0>, 0.5, <0.0, 48, 0.0>, 0.5
        translate <0, -8, 0>
    }
texture { T_Wood5 }
}
}

object { vaisseau translate <0,2,0> rotate z*-10}
object { vaisseau rotate <-5,-5,5> translate <20,30,-30> }
object { vaisseau rotate <-30,-15,5> translate <0,40,60> }



/*
fog { color rgbf <0.8,0.7,0.7,0.2>
fog_type 2
fog_offset 10
fog_alt 4distance 350
}*/

fog { color rgbf <0.8,0.8,1,0.5>
fog_type 2
fog_offset -35
fog_alt 60
distance 450
turbulence 0.4
scale <2,20,2>
}



#include "stones.inc"

#declare neige=
texture {
        pigment { color rgb 1 }
        finish { ambient 0.4 diffuse 1 specular 0.4 roughness 1 }}

object {
       height_field { tga "pic.tga" // smooth
texture {
        gradient y
        turbulence 0.15
        lambda 3
        texture_map {
                    [ 0 T_Stone6 finish { phong 0 specular 0 }scale <0.01,1,0.01> ]
                    [ 0.45 T_Stone10 finish { phong 0 specular 0 } scale <0.1,1,0.1> ]
                    //[ 0.50 T_Stone12 finish { phong 0 specular 0 } scale <0.5,1,0.5> ]
                    [ 1 T_Stone10 finish { phong 0 specular 0 } scale <0.1,1,0.1> ]}
scale <0.1,1,0.1>

                    }
translate <-0.5,0,-0.5>
}

       scale <1800,1200,1800>
       translate <1200,-610,900> //<250,-210,150>
       }


//    L u N e /////////


object {
  sphere { <0,0,0>,4300
  texture {
    pigment { color rgb <0.99,0.99,1.0>*0.95 }
    normal { wrinkles 0.9 scale <1500 1500 1500> }
    finish { ambient 0.4 diffuse 0.6 phong 0.0  brilliance 1 } } }
scale 0.65
translate <7500,15000,18000>
}

light_source { <6750,13500,16200> color rgb <0.99,0.99,1>*0.4
//atmosphere off
}


sky_sphere {
pigment {
                 gradient y
                 color_map {
                           [ 0.2 color rgb <0.0,0,0> ]  // 0.2
                           [ 1 color rgb <0,0,0.35> ]}}}
sphere { 0,1 inverse
pigment {
    wrinkles
    turbulence 0.1
    lambda 2.2
    omega 0.707
    color_map {
        [0.0 color rgb 0.6 ]
        [0.4 color rgbf <0.6,0.6,0.6,0.5> ]
        [0.65 color rgbf <0.9,0.9,0.9,0.98> ]}
scale <0.4, 0.12, 0.9>
    }
scale 10000
//translate y*10000
}



/*
#declare Atmosphere1 = atmosphere {
  type 3
  samples 20        // Number of samples in first distance interval
  distance 35000    // Atmosphere density, similar to fog
  scattering 1.8    // 0.038 pour type 1
  aa_level 8        // Level of binary subdivision in case of aa
  aa_threshold 0.1  // Threshold for aa to push in
  jitter 0.4        // Amount of sample jittering
}

atmosphere { Atmosphere1 }
*/
